IAzAuthorizationStore3::IsUpdateNeeded-Methode (azroles.h)

Die IsUpdateNeeded-Methode überprüft, ob die persistente Version dieses Autorisierungsspeichers neuer als die zwischengespeicherte Version ist. Wenn die zwischengespeicherte Version des Speichers neuer ist, kann die aufrufende Anwendung die zwischengespeicherte Version aktualisieren, indem sie die UpdateCache-Methode des AzAuthorizationStore-Objekts aufruft.

Syntax

HRESULT IsUpdateNeeded(
  [out] VARIANT_BOOL *pbIsUpdateNeeded
);

Parameter

[out] pbIsUpdateNeeded

VARIANT_TRUE , wenn die persistente Version dieses Autorisierungsspeichers neuer ist als die zwischengespeicherte Version; andernfalls VARIANT_FALSE.

Rückgabewert

Wenn die Methode erfolgreich ist, wird S_OK zurückgegeben.

Bei einem Fehler gibt diese Methode einen Fehlercode zurück. Eine Liste allgemeiner Fehlercodes finden Sie unter Allgemeine HRESULT-Werte.

Anforderungen

Anforderung Wert
Unterstützte Mindestversion (Client) Windows Vista [nur Desktop-Apps]
Unterstützte Mindestversion (Server) Windows Server 2008 [nur Desktop-Apps]
Zielplattform Windows
Kopfzeile azroles.h